

<?php 
require_once 'ayar.php';

$iletisim = isset($_POST['iletisim']);
$ad_soyad = strip_tags(trim(isset($_POST['ad_soyad']))) ? $_POST['ad_soyad'] : null;
$tel_no = strip_tags(trim(isset($_POST['tel_no']))) ? $_POST['tel_no'] : null;
$konu = strip_tags(trim(isset($_POST['konu']))) ? $_POST['konu'] : null;
$mail = strip_tags(trim(isset($_POST['mail']))) ? $_POST['mail'] : null;
$mesaj = strip_tags(isset($_POST['mesaj'])) ? $_POST['mesaj'] : null;
$ip_adresi = GetIP();

if ($iletisim) {

	if (!$ad_soyad) {
			//echo "ad soyad boş olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="ad soyad boş olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif(strlen($ad_soyad) > 150){
		//echo "ad ve soy ad 150 karakterden büyük olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="ad ve soy ad 150 karakterden büyük olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (!$tel_no){
		//echo "telefon numarası boş olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="telefon numarası boş olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (!$konu){
		//echo "konuyu boş olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="konu boş olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (strlen($konu) > 250){
		//echo "konu 250 karakterden büyük olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="konu 250 karakterden büyük olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (!$mail) {
		//echo "e-posta adresi boş olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="e-posta adresi boş olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (strlen($mail) > 250){
		//echo "mail adresi 250 karakterden büyük olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="mail adresi 250 karakterden büyük olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (!$mesaj) {
		//echo "mesaj alanı boş olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="mesaj alanı boş olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif(strlen($tel_no) > 11){
		//echo "tel no 11 haneden BÜYÜK olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="tel no 11 haneden BÜYÜK olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif(strlen($tel_no) < 11){
		//echo "tel no 11 haneden KÜÇÜK olamaz.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="tel no 11 haneden KÜÇÜK olamaz.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif(!ctype_alnum($tel_no)){
		//echo 'Telefon numaranızda türkçe ve özel karakter kullanamazsınız.';
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="Telefon numaranızda türkçe ve özel karakter kullanamazsınız.";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif (!filter_var($mail, FILTER_VALIDATE_EMAIL)) {
		//echo "Geçersiz mail adresi!"; 
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="Geçersiz mail adresi!";
		$data["button"]="kapat";
		echo json_encode($data);

	} elseif(isset($_COOKIE['hit'])){
		//echo "mesaj yollamayı 30'dk sonra tekrar deneyin.";
		$data["title"]="Hata";
		$data["status"]="error";
		$data["message"]="mesaj yollamayı 30'dk sonra tekrar deneyin.";
		$data["button"]="kapat";
		echo json_encode($data);

	} else {

		$iletisimeGec = $db -> prepare("INSERT INTO iletisim SET ad_soyad = ?, tel_no = ?, konu = ?, mail = ?, mesaj = ?, ip = ?");
		$iletisimeGec -> execute([$ad_soyad, $tel_no, $konu, $mail, $mesaj, $ip_adresi]);

		if (!@$_COOKIE['hit']) {
			setcookie("hit", "_", time()+1800);

		}

		if ($iletisimeGec) {
			$data["title"]="Başarılı";
			$data["status"]="success";
			$data["message"]="bizimle iletişime geçtiğiniz için teşekkür ederiz.";
			$data["button"]="kapat";
			echo json_encode($data);
		} else {
			$data["title"]="Hata";
			$data["status"]="error";
			$data["message"]="sistemde hata var.";
			$data["button"]="kapat";
			echo json_encode($data);

		}

	}
}

?>

